curl --request DELETE \
--url https://api.dairo.app/v1/inboxes/{inbox}/verification-waits/{waitId} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.dairo.app/v1/inboxes/{inbox}/verification-waits/{waitId}"
headers = {"Authorization": "Bearer <token>"}
response = requests.delete(url, headers=headers)
print(response.text)const options = {method: 'DELETE', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.dairo.app/v1/inboxes/{inbox}/verification-waits/{waitId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"waitId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"inboxId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"status": "pending",
"expiresAt": "2023-11-07T05:31:56Z",
"createdAt": "2023-11-07T05:31:56Z",
"agentId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"fromHint": "<string>",
"instruction": "<string>",
"result": "<string>",
"code": "<string>",
"from": "<string>",
"messageId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"idempotencyKey": "<string>",
"resolvedAt": "2023-11-07T05:31:56Z",
"expiredAt": "2023-11-07T05:31:56Z"
}{
"error": {
"message": "<string>",
"code": "<string>",
"type": "<string>",
"param": "<string>"
}
}{
"error": {
"message": "<string>",
"code": "<string>",
"type": "<string>",
"param": "<string>"
}
}{
"error": {
"message": "<string>",
"code": "<string>",
"type": "<string>",
"param": "<string>"
}
}{
"error": {
"message": "<string>",
"code": "<string>",
"type": "<string>",
"param": "<string>"
}
}{
"error": {
"message": "<string>",
"code": "<string>",
"type": "<string>",
"param": "<string>"
}
}{
"error": {
"message": "<string>",
"code": "<string>",
"type": "<string>",
"param": "<string>"
}
}{
"error": {
"message": "<string>",
"code": "<string>",
"type": "<string>",
"param": "<string>"
}
}{
"error": {
"message": "<string>",
"code": "<string>",
"type": "<string>",
"param": "<string>"
}
}Cancel a still-pending verification wait
Cancel a still-pending verification wait
Authorizations
Dairo API key, e.g. dairo_test_... or dairo_live_...
Path Parameters
Inbox UUID or full address (e.g. agent@dairo.app).
Verification wait id returned by the register call.
Response
Success
A durable await_verification wait. status is pending until it resolves (a code was extracted from an inbound message) or expires (deadline passed / canceled). Resolution outputs (code, from, messageId, resolvedAt) are present only once resolved.
pending, resolved, expired The Agent Passport that registered this wait, when the API key was agent-bound.
The natural-language matcher instruction this wait was registered with.
The value the AI matcher extracted per the instruction (present once resolved) — a code, a link, or a quoted line.
Legacy alias of result, kept for OTP callers (present once resolved).
The From address of the message that resolved the wait.
The inbound message that resolved the wait.